﻿@model IEnumerable<crm.Domain.Entity.Event>
@{
    ViewBag.Title = "Liste des evenements";
    Layout = "~/Views/Shared/_FrontLayout.cshtml";

}

<h2 style="padding-left:20px;">Upcoming events</h2>  


 

<div class="col-md-12" style="text-align:center;">

    <div class="col-md-12 ">
        <div class="input">
            <input type="text" id="edt_search" placeholder="Search your product" style="margin:16px;border-radius:30px;border:1px solid #dcdcdc;padding:8px;text-align:center;width:80%;border-top-right-radius: 0px; border-bottom-right-radius: 0px;">
    

            <a href="#" style="border-top-right-radius: 50px; border-bottom-right-radius: 50px; background-color: #d80003; color: #fff; border: none; width: 70px; text-align: center; display: inline-block; padding: 9px; margin-left: -19px;"
                onclick="window.location.href='@Url.Action("IndexResEvent", "Reservation")' + '?str=' + $('#edt_search').val()">Search</a>
        </div>
       
    </div>

    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Nom_Event)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.dateDebut)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Place)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nb_Place)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.type)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Nom_Event)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.dateDebut)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Place)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Nb_Place)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.type)
                </td>
                <td>
                    @Html.ActionLink("Reserver", "AjouterReservation", new { id = item.EventId }, new { @style = "background:#d80003;padding:8px;border-radius:2px;color:#fff;" })<!--lina l action create t ajouti event id w user id -->
                </td>
            </tr>
        }

    </table>
</div>